API Reference
Approval Requests
5 endpoints· Auth: JWT or API Key
get
/api/v1/console/fraud/approval-requests JWT API KeyGet approval-requests
Query parameters
| Status string | — |
| Type string | — |
| MineOnly boolean | — |
| Page integer (int32) | — |
| PerPage integer (int32) | — |
| Search string | — |
| Skip integer (int32) | — |
| Sort string | — |
| Dir string | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/fraud/approval-requests" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Query parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/fraud/approval-requests JWT API KeyCreate approval-requests
Request body
application/json
{
"type": "string",
"summary": "string",
"payload": "string",
"targetType": "string",
"targetId": "00000000-0000-0000-0000-000000000000"
}| type string | — |
| summary string | — |
| payload string | — |
| targetType string | — |
| targetId string (uuid) | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/fraud/approval-requests" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"type": "string",
"summary": "string",
"payload": "string",
"targetType": "string",
"targetId": "00000000-0000-0000-0000-000000000000"
}' Try itagainst staging · https://staging-api.panoptesos.com
Request body (JSON)
Set credentials in the “Authorize” menu
get
/api/v1/console/fraud/approval-requests/{id} JWT API KeyGet id
Path parameters
| idrequired string (uuid) | — |
Responses
200Success
cURL
curl -X GET "https://staging-api.panoptesos.com/api/v1/console/fraud/approval-requests/{id}" \
-H "X-Api-Key: <YOUR_API_KEY>" Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Set credentials in the “Authorize” menu
post
/api/v1/console/fraud/approval-requests/{id}/approve JWT API KeyCreate approve
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"note": "string"
}| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/fraud/approval-requests/{id}/approve" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu
post
/api/v1/console/fraud/approval-requests/{id}/reject JWT API KeyCreate reject
Path parameters
| idrequired string (uuid) | — |
Request body
application/json
{
"note": "string"
}| note string | — |
Responses
200Success
cURL
curl -X POST "https://staging-api.panoptesos.com/api/v1/console/fraud/approval-requests/{id}/reject" \
-H "Content-Type: application/json" \
-H "X-Api-Key: <YOUR_API_KEY>" \
-d '{
"note": "string"
}' Try itagainst staging · https://staging-api.panoptesos.com
Path parameters
Request body (JSON)
Set credentials in the “Authorize” menu